import Vue from 'vue'
import Vuex from 'vuex'
import state from './state'
import getters from './getters'
import actions from './actions'
import mutations from './mutations'
import modIndex from './modules/index'

Vue.use(Vuex)

const option = {
  state,
  getters,
  actions,
  mutations,
  modules: {
    modIndex
  },
}
export default new Vuex.Store(option)
